## org.opengis.util
Class NoSuchEnumerationException

    Object
      Throwable
          Exception
              NoSuchEnumerationException

All Implemented Interfaces:
  Serializable

    public class NoSuchEnumerationException

extends Exception

Exception that is thrown when an invalid enumeration lookup is performed in the `SimpleEnumerationType` class.

Since:
  GeoAPI 1.0
See Also:
  Serialized Form

Constructor Summary
`NoSuchEnumerationException(int value)` Constructs an exception with the given invalid value.

Method Summary
`int` `getValue()` Returns the invalid value.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchEnumerationException

    public NoSuchEnumerationException(int value)

  Constructs an exception with the given invalid value.

  Parameters:
    `value` - The invalid value.
  TODO:
    Localize the error message.

Method Detail

### getValue

    public int getValue()

  Returns the invalid value.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.